> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Estimate Rate For Product Variant

> A `GET` to the `/rates/product-variant-estimate` endpoint returns the estimated rate
for a product variant without persisting any data. Identify the variant by providing
one of `sku`, `external_id`, or `barcode`.



## OpenAPI

````yaml get /v3/rates/product-variant-estimate
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/rates/product-variant-estimate:
    get:
      tags:
        - Rate
      summary: Estimate Rate For Product Variant
      description: >-
        A `GET` to the `/rates/product-variant-estimate` endpoint returns the
        estimated rate

        for a product variant without persisting any data. Identify the variant
        by providing

        one of `sku`, `external_id`, or `barcode`.
      operationId: rate.estimateProductVariantRate
      parameters:
        - name: definition
          in: query
          required: true
          schema:
            type: string
        - name: sku
          in: query
          schema:
            type:
              - string
              - 'null'
        - name: external_id
          in: query
          schema:
            type:
              - string
              - 'null'
        - name: barcode
          in: query
          schema:
            type:
              - string
              - 'null'
        - name: location_id
          in: query
          schema:
            type:
              - integer
              - 'null'
        - name: region
          in: query
          schema:
            type:
              - string
              - 'null'
        - name: country
          in: query
          schema:
            type:
              - string
              - 'null'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          name:
                            type:
                              - string
                              - 'null'
                          handle:
                            type: string
                          rate:
                            type: string
                          location:
                            type:
                              - string
                              - 'null'
                          code:
                            type:
                              - string
                              - 'null'
                          region_id:
                            type:
                              - integer
                              - 'null'
                          country_iso_2:
                            type:
                              - string
                              - 'null'
                          priority:
                            type:
                              - integer
                              - 'null'
                        required:
                          - name
                          - handle
                          - rate
                          - location
                          - code
                          - region_id
                          - country_iso_2
                          - priority
                    required:
                      - data
                  - type: object
                    properties:
                      data:
                        type: 'null'
                    required:
                      - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````